%define name	check
%define version	0.9.3
%define release	%mkrel 2
%define	major	%{version}
%define	libname	%mklibname %{name} %{major}

Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Summary:	A unit test framework for C
Group:		System/Libraries
URL:		http://check.sourceforge.net/
Source:		http://prdownloads.sourceforge.net/check/%{name}-%{version}.tar.bz2
Patch:		%{name}-0.9.3.libtool.patch.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
Check is a unit test framework for C. It features a simple interface for
defining unit tests, putting little in the way of the developer. Tests are run
in a separate address space, so Check can catch both assertion failures and
code errors that cause segmentation faults or other signals.  The output from
unit tests can be used within source code editors and IDEs.

%package -n	%{libname}
Summary:	C testing framework
Group:		System/Libraries

%description -n	%{libname}
Check is a unit test framework for C. It features a simple interface for
defining unit tests, putting little in the way of the developer. Tests are run
in a separate address space, so Check can catch both assertion failures and
code errors that cause segmentation faults or other signals. The output from
unit tests can be used within source code editors and IDEs.

%package -n	%{libname}-devel 
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Obsoletes:	%{name}

%description -n	%{libname}-devel
This package contains development files for %{name}.

%prep
%setup -q
%patch -p 1

%build
export FORCE_AUTOCONF_2_5=1
libtoolize
aclocal-1.9
autoconf-2.5x
automake-1.9 -a
%configure
%make

%install
rm -rf %{buildroot}
%makeinstall

# move documentation
mv %{buildroot}%{_datadir}/doc/%name-%{version} \
    %{buildroot}%{_datadir}/doc/%{libname}-devel-%{version}

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%doc COPYING
%{_libdir}/*-%{version}.so

%files -n %{libname}-devel
%defattr(-,root,root)
%{_datadir}/doc/%{libname}-devel-%{version}
%{_datadir}/aclocal/check.m4
%{_libdir}/libcheck.la
%{_libdir}/libcheck.so
%{_libdir}/libcheck.a
%{_includedir}/check.h

%changelog
* Thu Jun 15 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.9.3-2mdv2007.0
- patch to build dynamic libraries

* Tue Sep 27 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.9.3-1mdk
- New release 0.9.3
- %%mkrel 

* Wed Jul 13 2005 Herton Ronaldo Krzesinski <herton@mandriva.com> 0.9.2-1mdk
- Adopted package for Mandriva Linux.

* Thu Feb 03 2005 Marcelo Ricardo Leitner <mrl@conectiva.com.br>
+ 2005-02-03 12:00:24 (75515)
- %%desc cleanup.

* Mon Dec 20 2004 Gustavo Niemeyer <niemeyer@conectiva.com>
+ 2004-12-20 17:19:58 (73041)
- Oops.. forgot to include the source.

* Mon Dec 20 2004 Gustavo Niemeyer <niemeyer@conectiva.com>
+ 2004-12-20 17:18:43 (73037)
- New upstream Version: 0.9.3
- The update was done to check if the new version included suite_free(),
  but it looks that this function was removed rather than recently added.
  Anyway, the update was done, so let's make it available.

* Mon Nov 08 2004 Andr Murbach Maidl <murbach@conectiva.com.br>
+ 2004-11-08 15:37:03 (70833)
- Added %%doc macro

* Mon Nov 08 2004 Andr Murbach Maidl <murbach@conectiva.com.br>
+ 2004-11-08 11:16:48 (70791)
- Created spec file (Closes #13149)
  Added the package source

* Mon Nov 08 2004 Andr Murbach Maidl <murbach@conectiva.com.br>
+ 2004-11-08 10:52:30 (70775)
- Created package structure for check.
